Package org.eclipse.net4j.tcp

# Class TCPUtil.ConnectorData

java.lang.Object
org.eclipse.net4j.tcp.TCPUtil.ConnectorData

Enclosing class:
  TCPUtil

public static final class TCPUtil.ConnectorData extends Object
Encapsulates the data needed to configure a `TCP connector`.

Since:
  4.1
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`ConnectorData()`
`ConnectorData(String description)`
`ConnectorData(String host, int port, String userID)`
`ConnectorData(ITCPConnector connector)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getHost()`
`int`
`getPort()`
`String`
`getUserID()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConnectorData

public ConnectorData()

### ConnectorData

public ConnectorData(String host, int port, String userID)

### ConnectorData

public ConnectorData(String description)

### ConnectorData

public ConnectorData(ITCPConnector connector)

## Method Details

### getHost

public String getHost()

### getPort

public int getPort()

### getUserID

public String getUserID()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`